Subject: Re: 2.6.23-rc1-mm2

From: Segher Boessenkool <[email-masked]>
Date: Mon, 6 Aug 2007 23:25:06 +0200

>>> Second issue as reported earilier allmodconfig fails to build on imac
>>> g3.
>>>
>>>   CC      arch/powerpc/kernel/lparmap.s
>>>   AS      arch/powerpc/kernel/head_64.o
>>> lparmap.c: Assembler messages:
>>> lparmap.c:84: Error: file number 1 already allocated
>>> make[1]: *** [arch/powerpc/kernel/head_64.o] Blad 1
>>> make: *** [arch/powerpc/kernel] Blad 2
>>
>> Please send me the full output of:
>>
>> gcc --version    (or whatever your gcc is called)
>> ld --version
>> ld --help        (I know no better way to get the supported binutils
>>                    targets, and the default target)
>>
>> and the lparmap.s file.  You might want to skip sending it
>> to the lists, it will be a bit big (and off-topic on most
>> of those lists, anyway).
>
> Well ... its 66kB. Not that bad. Please find it attached.
> Needed gcc and ld info below.

Thanks.

It seems like things go wrong when lparmap.s is generated with
(DWARF) debug info; could you try building it (manually) with -g0
added on the end of the compile line, and see if head_64.o compiles
okay for you then?  If so, I'll prepare a proper patch for it, I
have a similar one (also for lparmap!) in my queue already...

Segher